package com.zcloud.service.speEquip.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.speEquip.SpecialEquipmentAqxjMapper;
import com.zcloud.service.speEquip.SpecialEquipmentAqxjService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：特种设备安全巡检管理
 * 作者：luoxiaobao
 * 时间：2021-06-19
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class SpecialEquipmentAqxjServiceImpl implements SpecialEquipmentAqxjService{

	@Autowired
	private SpecialEquipmentAqxjMapper specialequipmentaqxjMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		specialequipmentaqxjMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		specialequipmentaqxjMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		specialequipmentaqxjMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return specialequipmentaqxjMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return specialequipmentaqxjMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return specialequipmentaqxjMapper.findById(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		specialequipmentaqxjMapper.deleteAll(pd);
	}

	/**列表（通过特种设备ID获取数据）
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> listByEquipmentlistPage(Page page) {
		return specialequipmentaqxjMapper.listByEquipmentlistPage(page);
	}
}

